/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { ProjectMinimalDto } from './project-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ResourceMinimalDto } from './resource-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { UserMinimalDto } from './user-minimal-dto';

/**
 * Represents a data transfer object (DTO) for a project publication request.
 * @export
 * @interface ProjectPublicationRequestDto
 */
export interface ProjectPublicationRequestDto {
    /**
     * Unique identifier for the project publication request.
     * @type {string}
     * @memberof ProjectPublicationRequestDto
     */
    'id'?: string;
    /**
     * 
     * @type {ProjectMinimalDto}
     * @memberof ProjectPublicationRequestDto
     */
    'project'?: ProjectMinimalDto;
    /**
     * Identifier for the publication service used for this request.
     * @type {string}
     * @memberof ProjectPublicationRequestDto
     */
    'publicationServiceRorId'?: string;
    /**
     * 
     * @type {UserMinimalDto}
     * @memberof ProjectPublicationRequestDto
     */
    'creator'?: UserMinimalDto;
    /**
     * The date and time when the request was created.
     * @type {string}
     * @memberof ProjectPublicationRequestDto
     */
    'dateCreated'?: string;
    /**
     * Optional message associated with the publication request.
     * @type {string}
     * @memberof ProjectPublicationRequestDto
     */
    'message'?: string | null;
    /**
     * Collection of the resources involved in the publication request.
     * @type {Array<ResourceMinimalDto>}
     * @memberof ProjectPublicationRequestDto
     */
    'resources'?: Array<ResourceMinimalDto>;
}

